> For the complete documentation index, see [llms.txt](https://docs.e-verify.openresumesolutions.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.e-verify.openresumesolutions.com/guides/understanding-api-response.md).

# Understanding API Response

{% hint style="info" %}
**Good to know:** We are expecting frequent changes to API response, and each change would be backward compatible. &#x20;
{% endhint %}

## Response field specifications

### Top-level field

<table><thead><tr><th width="169.39921264979756" align="center">field name</th><th width="152.4" align="center">data type</th><th align="center">note</th></tr></thead><tbody><tr><td align="center">status</td><td align="center">string</td><td align="center">possible status [ success, failed]</td></tr><tr><td align="center">user_request_id</td><td align="center">string</td><td align="center">user request identifier</td></tr><tr><td align="center">email</td><td align="center">string</td><td align="center">verification request for email </td></tr></tbody></table>

### Response level fields

<table><thead><tr><th width="252.38775510204084" align="center">field name</th><th width="150">data type</th><th align="center">note</th></tr></thead><tbody><tr><td align="center">isit_common_email_id</td><td>boolean</td><td align="center">check if email belong to common alias such as support@, admin@, no-reply@</td></tr><tr><td align="center">is_email_domain_disposable</td><td>boolean</td><td align="center">is the domain used in email belongs to any temporary email service providers</td></tr><tr><td align="center">domain_registration_information</td><td>nested json object</td><td align="center">domain registration information is available using whois for old TLDs and RDAP for the latest TLDs</td></tr></tbody></table>

### Response level field : can\_domain\_send\_or\_recieve\_mail

```json
"can_domain_send_or_recieve_mail":{
         "can_domain_send_or_receive_email":true,
         "mx_setups":[
            "0 arcesium-com.mail.protection.outlook.com."
         ]
  }
```

|               field nam               | data type     |                 note                 |
| :-----------------------------------: | ------------- | :----------------------------------: |
| can\_domain\_send\_or\_receive\_email | boolean       | True if MX record present else false |
|               mx\_setups              | List\[String] |          List of MX records          |

### Response level field: is\_email\_on\_source\_verified

```json
"is_email_on_source_verified": {
      "message": "",
      "smtp_status_code": 250,
      "status": "yes",
      "catch_all": false
    }
```

**Field interpretation**

| field              | desc                                                                                                     |      possible values     |                               nullable                               |
| ------------------ | -------------------------------------------------------------------------------------------------------- | :----------------------: | :------------------------------------------------------------------: |
| status             | the result of SMTP verification                                                                          | \[yes, no, unverifiable] |                                  No                                  |
| catch\_all         | A catch-all domain will accept all mail sent to any address at the domain and return a 250 OK            |          boolean         |                                  No                                  |
| smtp\_status\_code | SMTP replies generated for the RCPT command <https://www.greenend.org.uk/rjk/tech/smtpreplies.html#RCPT> |      integer values      | <p>Yes, the default is 0<br>0 implies smtp status not applicable</p> |
| message            | provide additional information in case of status is no or unverifiable                                   |   string (max 300 char)  |                       Yes, the default is empty                      |

**Expected behavior**

<table><thead><tr><th width="298">email</th><th width="150">status</th><th width="150">catch_all</th><th width="150">smtp_status_code</th><th>message</th></tr></thead><tbody><tr><td>nileshxbhosale@gmail.com</td><td>yes</td><td>false</td><td>250</td><td></td></tr><tr><td>random-12343-21323@gmail.com</td><td>no</td><td>false</td><td>550</td><td></td></tr><tr><td>nilesh.bhosale@arcesium.com</td><td>no</td><td>false</td><td>550</td><td>"Blocked by mail server for b'5.4.1 Recipient address rejected: Access denied. AS(201806281) [SN1NAM02FT0057.eop-nam02.prod.protection.outlook.com]'</td></tr><tr><td>nilesh_bh2004@yahoo.co.in</td><td>unverifiable</td><td>true</td><td>250</td><td>Unverifiable due to catch-all</td></tr><tr><td></td><td>yes</td><td>false</td><td>522</td><td></td></tr><tr><td></td><td>yes</td><td>false</td><td>251</td><td></td></tr></tbody></table>

#### Common error

<table><thead><tr><th width="274.9664523737551">message</th><th width="150">status</th><th>desc</th></tr></thead><tbody><tr><td>Internal error: smtp request is taking more time</td><td>unverifiable</td><td>SMTP request exceed timeout period (i.e. 1 sec)</td></tr><tr><td>Internal error: not able to process the request</td><td>unverifiable</td><td>Due to technical error</td></tr></tbody></table>

### Response level field: input\_name\_to\_email\_matching

```json
"input_name_to_email_matching":{
         "match":"yes",
         "rule":"Rule F.L"
 }
```

<table><thead><tr><th width="152.5479414944055" align="center">field name</th><th width="150">data type</th><th align="center">note</th></tr></thead><tbody><tr><td align="center">match</td><td>string</td><td align="center">possible value: ["yes", "not sure"]</td></tr><tr><td align="center">rule</td><td>string</td><td align="center"><p>Matching found as per rule</p><p>Refer additional information page for details </p></td></tr></tbody></table>

### Response level field: mca\_information

```json
"mca_information":[
         {
            "cin":"U01403PN2015PTC153736",
            "company_name":"KHANDALA TALUKA FARMERS PRODUCER COMPANY LIMITED",
            "company_status":"Strike Off",
            "date_of_incorporation":"15 January 2015",
            "directors":[
               {
                  "din":"07014914",
                  "name":"SURYAKANT BAPU DHANAVADE",
                  "designation":"Director",
                  "appointment_start_date":"15 January 2015", 
	          "appointment_end_date":"" 
               },
               {
                  "din":"07065317",
                  "name":"NILESH VISHNU BHOSALE",
                  "designation":"Director",
                  "appointment_start_date":"15 January 2015",
		  "appointment_end_date":"15 January 2020"
               }
            ]
        }
]               
```

#### mca\_information

<table><thead><tr><th align="center">field name</th><th width="182.33333333333331">data type</th><th align="center">note</th></tr></thead><tbody><tr><td align="center">cin</td><td>String</td><td align="center"></td></tr><tr><td align="center">company_name</td><td>String</td><td align="center"></td></tr><tr><td align="center">date_of_incorporation</td><td>String</td><td align="center">Date format is DD MMM YYY</td></tr><tr><td align="center">directors</td><td>List of object</td><td align="center">Refer next table for more details</td></tr><tr><td align="center">company_status</td><td>String</td><td align="center">Refer additional information page for details</td></tr></tbody></table>

#### directors

<table><thead><tr><th width="215.78048780487808" align="center">field name</th><th width="150">data type</th><th align="center">note</th></tr></thead><tbody><tr><td align="center">din</td><td>String</td><td align="center"></td></tr><tr><td align="center">name</td><td>String</td><td align="center"></td></tr><tr><td align="center">designation</td><td>String</td><td align="center">Fixed value i.e director</td></tr><tr><td align="center">appointment_start_date</td><td>String</td><td align="center">Date format is DD MMM YYY</td></tr><tr><td align="center">appointment_end_date</td><td>String</td><td align="center">Date format is DD MMM YYY</td></tr></tbody></table>

### Response level field: matching\_directors

Refer above director table&#x20;

### How MCA information and matching director search works

|                               API Request Parameter                              |                mca\_information block               |                                           matching\_directors                                           |
| :------------------------------------------------------------------------------: | :-------------------------------------------------: | :-----------------------------------------------------------------------------------------------------: |
|             <p>Only CIN provided<br>e.g CIN=U01403PN2015PTC153736</p>            |       Get company information for a given CIN       | Get all the directors from MCA director master dataset matching first and last name provided in request |
|                  <p>Only DIN provided<br>e.g <br>DIN=7065317</p>                 | Get all the companies in which director is part of. |                             Get director by matching DIN provided in request                            |
| <p>Both CIN and DIN provided<br>e.g CIN=U01403PN2015PTC153736<br>DIN=7065317</p> |       Get company information for a given CIN       |                             Get director by matching DIN provided in request                            |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.e-verify.openresumesolutions.com/guides/understanding-api-response.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
